# SourcePath: at-spi2-atk/20171215dev
Summary: Library that bridges ATK to the new D-Bus based AT-SPI.
Name: sony-target-dev-at-spi2-atk
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-at-spi2-atk
Version: 2.26.0
Release: 12010001
Source: at-spi2-atk-%{version}.tar.xz
License: GPLv2
URL: ftp://ftp.gnome.org/pub/GNOME/sources/at-spi2-atk
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-atk >= 2.25.2
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-at-spi2-core

%description
This package includes libatk-bridge, a library that bridges ATK
to the new D-Bus based AT-SPI, as well as a corresponding module
for gtk+ 2.x. Gtk+ 3.x now links against libatk-bridge directly
rather than requiring it to be loaded as a module.

These libraries depend on the at-spi2-core code that contains
the daemon for registering applications, D-Bus helper libraries
and the AT-SPI D-Bus specifications.

%package -n %{pkgname}
Summary: An accessibility toolkit for GNOME.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package includes libatk-bridge, a library that bridges ATK
to the new D-Bus based AT-SPI, as well as a corresponding module
for gtk+ 2.x. Gtk+ 3.x now links against libatk-bridge directly
rather than requiring it to be loaded as a module.

These libraries depend on the at-spi2-core code that contains
the daemon for registering applications, D-Bus helper libraries
and the AT-SPI D-Bus specifications.

%prep
%setup -n at-spi2-atk-%{version}

%build
%sony_target_dev_setup
export ac_cv_alignof_char=1
export ac_cv_alignof_dbus_bool_t=4
export ac_cv_alignof_dbus_int16_t=2
export ac_cv_alignof_dbus_int32_t=4
export ac_cv_alignof_dbus_int64_t=8
export ac_cv_alignof_double=8
export ac_cv_alignof_dbind_pointer=8
export ac_cv_alignof_dbind_struct=1
%sony_target_dev_configure --disable-glibtest --enable-gtk-doc-html=no --disable-introspection
make 

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
%demangle_libtool

# 12.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
#rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_lib_dir}/gnome-settings-daemon-3.0/gtk-modules/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gtk-2.0/modules/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libatk*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/atk-bridge-2.0.pc
%{sony_target_dir}%{sony_target_devtool_include_dir}/at-spi2-atk/2.0/*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Fri Dec 15 2017 Sony Corporation
- Initial build
